Package org.kapott.hbci.datatypes

## Class SyntaxWrt

- java.lang.Object
- - org.kapott.hbci.datatypes.SyntaxDE
  - - org.kapott.hbci.datatypes.SyntaxFloat
    - - org.kapott.hbci.datatypes.SyntaxWrt

    public final class SyntaxWrt
    extends SyntaxFloat

### Constructor Summary

Constructors
`SyntaxWrt​(java.lang.StringBuffer res, int minsize, int maxsize)`
`SyntaxWrt​(java.lang.String x, int minsize, int maxsize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init​(java.lang.StringBuffer res, int minsize, int maxsize)`
`void` `init​(java.lang.String x, int minsize, int maxsize)`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxFloat

`toString`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxDE

`destroy, findNextDelim, getContent, init, setContent, skipPreDelim, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyntaxWrt

    public SyntaxWrt​(java.lang.String x,
                     int minsize,
                     int maxsize)

#### SyntaxWrt

    public SyntaxWrt​(java.lang.StringBuffer res,
                     int minsize,
                     int maxsize)

### Method Detail

#### init

    public void init​(java.lang.String x,
                     int minsize,
                     int maxsize)

Overrides:
  `init` in class `SyntaxFloat`

#### init

    public void init​(java.lang.StringBuffer res,
                     int minsize,
                     int maxsize)

Overrides:
  `init` in class `SyntaxFloat`